let Genode = env:DHALL_GENODE

let Init = Genode.Init

let Child = Init.Child

in  λ(binary : Text) →
      Child.flat
        Child.Attributes::{
        , binary
        , exitPropagate = True
        , resources = Init.Resources::{
          , caps = 2048
          , ram = Genode.units.MiB 256
          }
        , routes = [ Genode.Init.ServiceRoute.parent "VM" ]
        }
